package com.jeeplus.modules.sg.managementcenter.projectPlanArrage.mapper;

import com.jeeplus.core.persistence.BaseEntity;
import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.projectPlanArrage.entity.ProjectActProcIns;
import com.jeeplus.modules.sg.managementcenter.projectPlanArrage.entity.ProjectActProclnsAss;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface ProjectPlanActMapper extends BaseMapper<ProjectActProclnsAss> {
    //添加流程记录列表
    Integer insertProcInsList(@Param("list") List<ProjectActProcIns> list);

    //添加流程项目记录
    Integer insertProcInsAssList(@Param("list")List<ProjectActProclnsAss> projectActProclnsAsses);

    //根据流程key获取最大版本号的id
    String actModelId(String key);

    //保存流程业务表
    Integer processAct(ProjectActProcIns projectActProcIns);

    //查询方法
    List<ProjectActProclnsAss> findListAss(ProjectActProclnsAss projectActProclnsAss);


    //施工单位项目经理
    Integer deleteConsAss(ProjectActProclnsAss projectActProclnsAss);

    //配网项目经理
    Integer deleteNetAss(ProjectActProclnsAss projectActProclnsAss);

    //修改项目状态--完成后
    Integer updateMaterialProject(@Param("list")List<String> strings);

    //修改项目状态--配网项目经理
    Integer updateMaterialNetProject(@Param("list")List<String> strings);
}
